/****************************************************************************
*
*                   SciTech Multi-platform Graphics Library
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2.0 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Common 256 color palette for all 8 bit display drivers.
*               This palette is the default IBM 256 color palette.
*
****************************************************************************/

#include "mgl.h"
#include "drivers/common/common.h"

/*------------------------- Global Variables ------------------------------*/

palette_t _VARAPI _VGA4_defPal[16] = {
    {0x00,0x00,0x00,0}, {0xA8,0x00,0x00,0}, {0x00,0xA8,0x00,0}, {0xA8,0xA8,0x00,0},
    {0x00,0x00,0xA8,0}, {0xA8,0x00,0xA8,0}, {0x00,0x54,0xA8,0}, {0xA8,0xA8,0xA8,0},
    {0x54,0x54,0x54,0}, {0xFC,0x54,0x54,0}, {0x54,0xFC,0x54,0}, {0xFC,0xFC,0x54,0},
    {0x54,0x54,0xFC,0}, {0xFC,0x54,0xFC,0}, {0x54,0xFC,0xFC,0}, {0xFC,0xFC,0xFC,0},
    };

palette_t _VARAPI _VGA8_defPal[256] = {
    {0x00,0x00,0x00,0}, {0xA8,0x00,0x00,0}, {0x00,0xA8,0x00,0}, {0xA8,0xA8,0x00,0},
    {0x00,0x00,0xA8,0}, {0xA8,0x00,0xA8,0}, {0x00,0x54,0xA8,0}, {0xA8,0xA8,0xA8,0},
    {0x54,0x54,0x54,0}, {0xFC,0x54,0x54,0}, {0x54,0xFC,0x54,0}, {0xFC,0xFC,0x54,0},
    {0x54,0x54,0xFC,0}, {0xFC,0x54,0xFC,0}, {0x54,0xFC,0xFC,0}, {0xFC,0xFC,0xFC,0},
    {0x00,0x00,0x00,0}, {0x14,0x14,0x14,0}, {0x20,0x20,0x20,0}, {0x2C,0x2C,0x2C,0},
    {0x38,0x38,0x38,0}, {0x44,0x44,0x44,0}, {0x50,0x50,0x50,0}, {0x60,0x60,0x60,0},
    {0x70,0x70,0x70,0}, {0x80,0x80,0x80,0}, {0x90,0x90,0x90,0}, {0xA0,0xA0,0xA0,0},
    {0xB4,0xB4,0xB4,0}, {0xC8,0xC8,0xC8,0}, {0xE0,0xE0,0xE0,0}, {0xFC,0xFC,0xFC,0},
    {0xFC,0x00,0x00,0}, {0xFC,0x00,0x40,0}, {0xFC,0x00,0x7C,0}, {0xFC,0x00,0xBC,0},
    {0xFC,0x00,0xFC,0}, {0xBC,0x00,0xFC,0}, {0x7C,0x00,0xFC,0}, {0x40,0x00,0xFC,0},
    {0x00,0x00,0xFC,0}, {0x00,0x40,0xFC,0}, {0x00,0x7C,0xFC,0}, {0x00,0xBC,0xFC,0},
    {0x00,0xFC,0xFC,0}, {0x00,0xFC,0xBC,0}, {0x00,0xFC,0x7C,0}, {0x00,0xFC,0x40,0},
    {0x00,0xFC,0x00,0}, {0x40,0xFC,0x00,0}, {0x7C,0xFC,0x00,0}, {0xBC,0xFC,0x00,0},
    {0xFC,0xFC,0x00,0}, {0xFC,0xBC,0x00,0}, {0xFC,0x7C,0x00,0}, {0xFC,0x40,0x00,0},
    {0xFC,0x7C,0x7C,0}, {0xFC,0x7C,0x9C,0}, {0xFC,0x7C,0xBC,0}, {0xFC,0x7C,0xDC,0},
    {0xFC,0x7C,0xFC,0}, {0xDC,0x7C,0xFC,0}, {0xBC,0x7C,0xFC,0}, {0x9C,0x7C,0xFC,0},
    {0x7C,0x7C,0xFC,0}, {0x7C,0x9C,0xFC,0}, {0x7C,0xBC,0xFC,0}, {0x7C,0xDC,0xFC,0},
    {0x7C,0xFC,0xFC,0}, {0x7C,0xFC,0xDC,0}, {0x7C,0xFC,0xBC,0}, {0x7C,0xFC,0x9C,0},
    {0x7C,0xFC,0x7C,0}, {0x9C,0xFC,0x7C,0}, {0xBC,0xFC,0x7C,0}, {0xDC,0xFC,0x7C,0},
    {0xFC,0xFC,0x7C,0}, {0xFC,0xDC,0x7C,0}, {0xFC,0xBC,0x7C,0}, {0xFC,0x9C,0x7C,0},
    {0xFC,0xB4,0xB4,0}, {0xFC,0xB4,0xC4,0}, {0xFC,0xB4,0xD8,0}, {0xFC,0xB4,0xE8,0},
    {0xFC,0xB4,0xFC,0}, {0xE8,0xB4,0xFC,0}, {0xD8,0xB4,0xFC,0}, {0xC4,0xB4,0xFC,0},
    {0xB4,0xB4,0xFC,0}, {0xB4,0xC4,0xFC,0}, {0xB4,0xD8,0xFC,0}, {0xB4,0xE8,0xFC,0},
    {0xB4,0xFC,0xFC,0}, {0xB4,0xFC,0xE8,0}, {0xB4,0xFC,0xD8,0}, {0xB4,0xFC,0xC4,0},
    {0xB4,0xFC,0xB4,0}, {0xC4,0xFC,0xB4,0}, {0xD8,0xFC,0xB4,0}, {0xE8,0xFC,0xB4,0},
    {0xFC,0xFC,0xB4,0}, {0xFC,0xE8,0xB4,0}, {0xFC,0xD8,0xB4,0}, {0xFC,0xC4,0xB4,0},
    {0x70,0x00,0x00,0}, {0x70,0x00,0x1C,0}, {0x70,0x00,0x38,0}, {0x70,0x00,0x54,0},
    {0x70,0x00,0x70,0}, {0x54,0x00,0x70,0}, {0x38,0x00,0x70,0}, {0x1C,0x00,0x70,0},
    {0x00,0x00,0x70,0}, {0x00,0x1C,0x70,0}, {0x00,0x38,0x70,0}, {0x00,0x54,0x70,0},
    {0x00,0x70,0x70,0}, {0x00,0x70,0x54,0}, {0x00,0x70,0x38,0}, {0x00,0x70,0x1C,0},
    {0x00,0x70,0x00,0}, {0x1C,0x70,0x00,0}, {0x38,0x70,0x00,0}, {0x54,0x70,0x00,0},
    {0x70,0x70,0x00,0}, {0x70,0x54,0x00,0}, {0x70,0x38,0x00,0}, {0x70,0x1C,0x00,0},
    {0x70,0x38,0x38,0}, {0x70,0x38,0x44,0}, {0x70,0x38,0x54,0}, {0x70,0x38,0x60,0},
    {0x70,0x38,0x70,0}, {0x60,0x38,0x70,0}, {0x54,0x38,0x70,0}, {0x44,0x38,0x70,0},
    {0x38,0x38,0x70,0}, {0x38,0x44,0x70,0}, {0x38,0x54,0x70,0}, {0x38,0x60,0x70,0},
    {0x38,0x70,0x70,0}, {0x38,0x70,0x60,0}, {0x38,0x70,0x54,0}, {0x38,0x70,0x44,0},
    {0x38,0x70,0x38,0}, {0x44,0x70,0x38,0}, {0x54,0x70,0x38,0}, {0x60,0x70,0x38,0},
    {0x70,0x70,0x38,0}, {0x70,0x60,0x38,0}, {0x70,0x54,0x38,0}, {0x70,0x44,0x38,0},
    {0x70,0x50,0x50,0}, {0x70,0x50,0x58,0}, {0x70,0x50,0x60,0}, {0x70,0x50,0x68,0},
    {0x70,0x50,0x70,0}, {0x68,0x50,0x70,0}, {0x60,0x50,0x70,0}, {0x58,0x50,0x70,0},
    {0x50,0x50,0x70,0}, {0x50,0x58,0x70,0}, {0x50,0x60,0x70,0}, {0x50,0x68,0x70,0},
    {0x50,0x70,0x70,0}, {0x50,0x70,0x68,0}, {0x50,0x70,0x60,0}, {0x50,0x70,0x58,0},
    {0x50,0x70,0x50,0}, {0x58,0x70,0x50,0}, {0x60,0x70,0x50,0}, {0x68,0x70,0x50,0},
    {0x70,0x70,0x50,0}, {0x70,0x68,0x50,0}, {0x70,0x60,0x50,0}, {0x70,0x58,0x50,0},
    {0x40,0x00,0x00,0}, {0x40,0x00,0x10,0}, {0x40,0x00,0x20,0}, {0x40,0x00,0x30,0},
    {0x40,0x00,0x40,0}, {0x30,0x00,0x40,0}, {0x20,0x00,0x40,0}, {0x10,0x00,0x40,0},
    {0x00,0x00,0x40,0}, {0x00,0x10,0x40,0}, {0x00,0x20,0x40,0}, {0x00,0x30,0x40,0},
    {0x00,0x40,0x40,0}, {0x00,0x40,0x30,0}, {0x00,0x40,0x20,0}, {0x00,0x40,0x10,0},
    {0x00,0x40,0x00,0}, {0x10,0x40,0x00,0}, {0x20,0x40,0x00,0}, {0x30,0x40,0x00,0},
    {0x40,0x40,0x00,0}, {0x40,0x30,0x00,0}, {0x40,0x20,0x00,0}, {0x40,0x10,0x00,0},
    {0x40,0x20,0x20,0}, {0x40,0x20,0x28,0}, {0x40,0x20,0x30,0}, {0x40,0x20,0x38,0},
    {0x40,0x20,0x40,0}, {0x38,0x20,0x40,0}, {0x30,0x20,0x40,0}, {0x28,0x20,0x40,0},
    {0x20,0x20,0x40,0}, {0x20,0x28,0x40,0}, {0x20,0x30,0x40,0}, {0x20,0x38,0x40,0},
    {0x20,0x40,0x40,0}, {0x20,0x40,0x38,0}, {0x20,0x40,0x30,0}, {0x20,0x40,0x28,0},
    {0x20,0x40,0x20,0}, {0x28,0x40,0x20,0}, {0x30,0x40,0x20,0}, {0x38,0x40,0x20,0},
    {0x40,0x40,0x20,0}, {0x40,0x38,0x20,0}, {0x40,0x30,0x20,0}, {0x40,0x28,0x20,0},
    {0x40,0x2C,0x2C,0}, {0x40,0x2C,0x30,0}, {0x40,0x2C,0x34,0}, {0x40,0x2C,0x3C,0},
    {0x40,0x2C,0x40,0}, {0x3C,0x2C,0x40,0}, {0x34,0x2C,0x40,0}, {0x30,0x2C,0x40,0},
    {0x2C,0x2C,0x40,0}, {0x2C,0x30,0x40,0}, {0x2C,0x34,0x40,0}, {0x2C,0x3C,0x40,0},
    {0x2C,0x40,0x40,0}, {0x2C,0x40,0x3C,0}, {0x2C,0x40,0x34,0}, {0x2C,0x40,0x30,0},
    {0x2C,0x40,0x2C,0}, {0x30,0x40,0x2C,0}, {0x34,0x40,0x2C,0}, {0x3C,0x40,0x2C,0},
    {0x40,0x40,0x2C,0}, {0x40,0x3C,0x2C,0}, {0x40,0x34,0x2C,0}, {0x40,0x30,0x2C,0},
    {0x54,0x54,0x54,0}, {0xFC,0x54,0x54,0}, {0x54,0xFC,0x54,0}, {0xFC,0xFC,0x54,0},
    {0x54,0x54,0xFC,0}, {0xFC,0x54,0xFC,0}, {0x54,0xFC,0xFC,0}, {0xFC,0xFC,0xFC,0},
    };
